Bug 1867908 - Upgrade is stuck in OAuthServiceEndpointsCheckEndpointAccessibleControllerDegraded
Summary: Upgrade is stuck in OAuthServiceEndpointsCheckEndpointAccessibleControllerDeg...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Venkata Siva Teja Areti
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1857162
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 07:45 UTC by Xingxing Xia
Modified: 2021-04-05 17:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 322 0 None closed Bug 1867908: add connection timeouts and proxy from env to http client 2021-02-03 14:03:48 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:27:43 UTC

Comment 6 Xingxing Xia 2020-08-13 06:39:56 UTC
Tried to verify, but hit bug 1857162.

Comment 7 Xingxing Xia 2020-09-04 10:07:45 UTC
The blocker bug's PR is merged in 4.6.0-0.nightly-2020-09-04-064335. I'm rebuilding the upgrade jobs to verify my bug.

Comment 8 Xingxing Xia 2020-09-04 11:17:08 UTC
Upgraded from 4.5.0-0.nightly-2020-09-04-043839 to 4.6.0-0.nightly-2020-09-04-064335 with original matrix in comment 0. The upgrade is complete:
$ oc get clusterversion version
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-09-04-064335   True        False         16m     Cluster version is 4.6.0-0.nightly-2020-09-04-064335

$ oc get co # all are "4.6.0-0.nightly-2020-09-04-064335   True        False         False"
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication                             4.6.0-0.nightly-2020-09-04-064335   True        False         False      17m
cloud-credential                           4.6.0-0.nightly-2020-09-04-064335   True        False         False      3h23m
...
openshift-apiserver                        4.6.0-0.nightly-2020-09-04-064335   True        False         False      3h8m
...
service-ca                                 4.6.0-0.nightly-2020-09-04-064335   True        False         False      3h13m
storage                                    4.6.0-0.nightly-2020-09-04-064335   True        False         False      23m

Comment 10 errata-xmlrpc 2020-10-27 16:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196

Comment 11 W. Trevor King 2021-04-05 17:36:16 UTC
Removing UpgradeBlocker from this older bug, to remove it from the suspect queue described in [1].  If you feel like this bug still needs to be a suspect, please add keyword again.

[1]: https://github.com/openshift/enhancements/pull/475


Note You need to log in before you can comment on or make changes to this bug.